using Seasar.Dao.Attrs;
using System;

namespace Bellmonzo.Koubai.Logics.Dto
{
    [Table("T_ROOM")]
    public class TrackDto
    {
        [Column("ROOM_ID")]
        public int RoomID { get; set; }

        [Column("TRACK_ID")]
        public int TrackID { get; set; }

        [Column("JOURNAL_ID")]
        public int? JournalID { get; set; }

        [Column("OCCURENCE_DAY")]
        public DateTime? OccurenceDay { get; set; }

        [Column("TRACK_PRICE")]
        public int? TrackPrice { get; set; }

        [Column("COMPANY_ID")]
        public int? CompanyID { get; set; }

        [Column("ITEM_NAME")]
        public string ItemName { get; set; }
            
        [Column("GUARANTEE_DAY")]
        public DateTime? GuaranteeDay { get; set; }
        
        [Column("PURCHASER_NAME")]
        public string PurchaserName { get; set; }

        [Column("CATEGORY")]
        public string Category { get; set; }    
            
    }
}
